Index: palm/trunk/SOURCE/pmc_particle_interface.f90
===================================================================
--- palm/trunk/SOURCE/pmc_particle_interface.f90	(revision 3240)
+++ palm/trunk/SOURCE/pmc_particle_interface.f90	(revision 3241)
@@ -26,4 +26,7 @@
 ! -----------------! 
 ! $Id$
+! unused variables removed
+! 
+! 3123 2018-07-12 16:21:53Z suehring
 ! Correct working precision for REAL numbers
 ! 
@@ -519,5 +522,4 @@
     INTEGER(iwp) ::  child_id            !< id of the child model
     INTEGER(iwp) ::  i                   !< x grid box index
-    INTEGER(iwp) ::  ierr                !< error code
     INTEGER(iwp) ::  ij                  !< combined xy index for the buffer array
     INTEGER(iwp) ::  ip                  !< loop index (child PEs)
@@ -530,182 +532,4 @@
     INTEGER(iwp) ::  pindex              !<
     INTEGER(iwp) ::  tot_particle_count  !< Total number of particles per child
-    
-    REAL(wp) ::  dx_child   !< child grid spacing
-    REAL(wp) ::  dy_child   !< child grid spacing
-    REAL(wp) ::  dz_child   !< child grid spacing
-    REAL(wp) ::  ny_coord   !< north coordinate of child grid
-    REAL(wp) ::  ny_coord_b !< north coordinate of child grid boundary
-    REAL(wp) ::  lx_coord   !< left coordinate of child grid
-    REAL(wp) ::  lx_coord_b !< left coordinate of child grid boundary
-    REAL(wp) ::  rx_coord   !< right coordinate of child grid
-    REAL(wp) ::  rx_coord_b !< right coordinate of child grid boundary
-    REAL(wp) ::  sy_coord   !< south coordinate of child grid
-    REAL(wp) ::  sy_coord_b !< south coordinate of child grid boundary
-    REAL(wp) ::  uz_coord   !< upper coordinate of child grid
-    REAL(wp) ::  uz_coord_b !< upper coordinate of child grid boundary
-    REAL(wp) ::  x          !< particle position
-    REAL(wp) ::  xo         !< origin of particle
-    REAL(wp) ::  y          !< particle position
-    REAL(wp) ::  yo         !< origin of particle
-    REAL(wp) ::  z          !< particle position
-   
-    INTEGER(iwp),DIMENSION(1) ::  buf_shape !<
-    
-#if defined( __parallel )
-    TYPE(pedef), POINTER ::  ape !< TO_DO Klaus: give a description and better name of the variable
-
-    DO  m = 1, get_number_of_childs()
-
-       child_id = get_childid(m)
-
-       CALL get_child_edges( m, lx_coord, lx_coord_b, rx_coord, rx_coord_b,    &
-                                sy_coord, sy_coord_b, ny_coord, ny_coord_b,    &
-                                uz_coord, uz_coord_b) 
-
-       CALL get_child_gridspacing( m, dx_child, dy_child, dz_child )
-
-       IF ( lfirst )   THEN
-          WRITE(9,'(a,5f10.2)') 'edges          ',lx_coord,rx_coord,sy_coord,ny_coord,uz_coord
-          WRITE(9,'(a,5f10.2)') 'edges boundary ',lx_coord_b,rx_coord_b,sy_coord_b,ny_coord_b,uz_coord_b
-          WRITE(9,'(a,5f10.2)') 'child spacing  ',dx_child, dy_child, dz_child,lower_left_coord_x,lower_left_coord_y
-       ENDIF
-!
-!--    reset values for every child
-       tot_particle_count = 0 
-       nr_part  = 0           
-       part_adr = 0
-       pindex   = 1
-
-       buf_shape(1) = max_nr_particle_in_rma_win
-       CALL C_F_POINTER( buf_ptr(m), particle_in_win , buf_shape )
-
-       DO  ip = 1, children(child_id)%inter_npes
-
-          ape => children(child_id)%pes(ip)
-
-          nr_part_col   = 0 
-	  
-          DO  ij = 1, ape%nrele
-             
-!
-!--          Inside the PMC adressing of 3d arrays starts with 1
-             i = ape%locind(ij)%i + nxl - nbgp - 1
-             j = ape%locind(ij)%j + nys - nbgp - 1
-	     nr_part_col = 0 ! Number of particles to transfer per column
-             part_adr(j,i) = pindex
-             
-             DO  k = nzb + 1, nzt
-                number_of_particles = prt_count(k,j,i)
-                
-                IF ( number_of_particles <= 0 )  CYCLE
-                
-                particles => grid_particles(k,j,i)%particles(1:number_of_particles)
-
-                ! Select particles within boundary area
-
-                DO n = 1, number_of_particles
-                   x = particles(n)%x
-                   y = particles(n)%y
-                   z = particles(n)%z
-!
-!--                check if the particle is located in the fine grid area
-                   active_particle = ((x > lx_coord .AND. x < rx_coord) .AND.  &  
-                                      (y > sy_coord .AND. y < ny_coord) .AND.  &
-                                      (z > 0.000000001 .AND. z < uz_coord))
-                   IF ( active_particle .AND. particles(n)%particle_mask )  THEN
-                      
-                      particle_in_win(pindex) = particles(n)
-!
-!--                   Change particle positions and origin relative to global origin
-                      particle_in_win(pindex)%x = particle_in_win(pindex)%x + lower_left_coord_x
-                      particle_in_win(pindex)%y = particle_in_win(pindex)%y + lower_left_coord_y
-                      particle_in_win(pindex)%origin_x = particle_in_win(pindex)%origin_x + lower_left_coord_x
-                      particle_in_win(pindex)%origin_y = particle_in_win(pindex)%origin_y + lower_left_coord_y
-
-                      tot_particle_count = tot_particle_count + 1
-                      nr_part_col        = nr_part_col + 1
-                      pindex             = pindex + 1
-                      IF ( pindex > max_nr_particle_in_rma_win ) THEN
-                         WRITE(9,*) 'RMA window too small on parent ',pindex, max_nr_particle_in_rma_win
-                         message_string = 'RMA window too small on parent'
-                         CALL message( 'pmci_create_child_arrays', 'PA0481', 3, 2, 0, 6, 0 )   ! PA number has to be adjusted
-                     ENDIF
-                   END IF
-                ENDDO
-             ENDDO
-             nr_part(j,i) = nr_part_col
-          ENDDO
-       ENDDO
-
-       CALL pmc_s_fillbuffer( child_id, particle_transfer = .TRUE. )
-    ENDDO
-
-    lfirst = .FALSE.
-
-#endif
- END SUBROUTINE pmcp_p_fill_particle_win
-
- 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> parent routine:
-!> delete particles from the MPI window
-!------------------------------------------------------------------------------!
- SUBROUTINE pmcp_p_empty_particle_win
-
-    IMPLICIT NONE
-
-    INTEGER(iwp) ::  child_id           !< model id of the child
-    INTEGER(iwp) ::  ip                 !< loop index (child PEs)
-    INTEGER(iwp) ::  m                  !< loop index (number of childs)
-
-    INTEGER(iwp),DIMENSION(1) ::  buf_shape !<
-
-#if defined( __parallel )
-    DO  m = 1, get_number_of_childs()
-
-       child_id = get_childid(m)
-
-       buf_shape(1) = max_nr_particle_in_rma_win
-       CALL C_F_POINTER( buf_ptr(m), particle_in_win , buf_shape )
-
-!
-!--    In some cells of the coarse grid, there are contributions from more than one child process
-!--    Therfore p_copy_particle_to_org_grid is done for one child process per call
-
-       DO ip = 1, pmc_s_get_child_npes( child_id )
-          nr_part  = 0
-          part_adr = 0
-
-          CALL pmc_s_getdata_from_buffer( child_id, particle_transfer = .TRUE., child_process_nr = ip )
-
-          CALL p_copy_particle_to_org_grid( m, child_id )
-       ENDDO
-
-    ENDDO
-
-#endif
- END SUBROUTINE pmcp_p_empty_particle_win
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> parent routine:
-!> After the transfer mark all parent particles that are still inside on of the 
-!> child areas for deletion. 
-!------------------------------------------------------------------------------!
- SUBROUTINE pmcp_p_delete_particles_in_fine_grid_area
-
-    IMPLICIT NONE
-
-    LOGICAL ::  to_delete !< particles outside of model domain are marked as to_delete
-    
-    INTEGER(iwp) ::  i !< loop index (x grid)
-    INTEGER(iwp) ::  j !< loop index (y grid)
-    INTEGER(iwp) ::  k !< loop index (z grid)
-    INTEGER(iwp) ::  m !< loop index (number of particles)
-    INTEGER(iwp) ::  n !< loop index (number of childs)
     
     REAL(wp) ::  dx_child   !< child grid spacing
@@ -725,4 +549,181 @@
     REAL(wp) ::  y          !< particle position
     REAL(wp) ::  z          !< particle position
+   
+    INTEGER(iwp),DIMENSION(1) ::  buf_shape !<
+    
+#if defined( __parallel )
+    TYPE(pedef), POINTER ::  ape !< TO_DO Klaus: give a description and better name of the variable
+
+    DO  m = 1, get_number_of_childs()
+
+       child_id = get_childid(m)
+
+       CALL get_child_edges( m, lx_coord, lx_coord_b, rx_coord, rx_coord_b,    &
+                                sy_coord, sy_coord_b, ny_coord, ny_coord_b,    &
+                                uz_coord, uz_coord_b) 
+
+       CALL get_child_gridspacing( m, dx_child, dy_child, dz_child )
+
+       IF ( lfirst )   THEN
+          WRITE(9,'(a,5f10.2)') 'edges          ',lx_coord,rx_coord,sy_coord,ny_coord,uz_coord
+          WRITE(9,'(a,5f10.2)') 'edges boundary ',lx_coord_b,rx_coord_b,sy_coord_b,ny_coord_b,uz_coord_b
+          WRITE(9,'(a,5f10.2)') 'child spacing  ',dx_child, dy_child, dz_child,lower_left_coord_x,lower_left_coord_y
+       ENDIF
+!
+!--    reset values for every child
+       tot_particle_count = 0 
+       nr_part  = 0           
+       part_adr = 0
+       pindex   = 1
+
+       buf_shape(1) = max_nr_particle_in_rma_win
+       CALL C_F_POINTER( buf_ptr(m), particle_in_win , buf_shape )
+
+       DO  ip = 1, children(child_id)%inter_npes
+
+          ape => children(child_id)%pes(ip)
+
+          nr_part_col   = 0 
+	  
+          DO  ij = 1, ape%nrele
+             
+!
+!--          Inside the PMC adressing of 3d arrays starts with 1
+             i = ape%locind(ij)%i + nxl - nbgp - 1
+             j = ape%locind(ij)%j + nys - nbgp - 1
+             nr_part_col = 0   ! Number of particles to transfer per column
+             part_adr(j,i) = pindex
+             
+             DO  k = nzb + 1, nzt
+                number_of_particles = prt_count(k,j,i)
+                
+                IF ( number_of_particles <= 0 )  CYCLE
+                
+                particles => grid_particles(k,j,i)%particles(1:number_of_particles)
+
+                ! Select particles within boundary area
+
+                DO n = 1, number_of_particles
+                   x = particles(n)%x
+                   y = particles(n)%y
+                   z = particles(n)%z
+!
+!--                check if the particle is located in the fine grid area
+                   active_particle = ((x > lx_coord .AND. x < rx_coord) .AND.  &  
+                                      (y > sy_coord .AND. y < ny_coord) .AND.  &
+                                      (z > 0.000000001 .AND. z < uz_coord))
+                   IF ( active_particle .AND. particles(n)%particle_mask )  THEN
+                      
+                      particle_in_win(pindex) = particles(n)
+!
+!--                   Change particle positions and origin relative to global origin
+                      particle_in_win(pindex)%x = particle_in_win(pindex)%x + lower_left_coord_x
+                      particle_in_win(pindex)%y = particle_in_win(pindex)%y + lower_left_coord_y
+                      particle_in_win(pindex)%origin_x = particle_in_win(pindex)%origin_x + lower_left_coord_x
+                      particle_in_win(pindex)%origin_y = particle_in_win(pindex)%origin_y + lower_left_coord_y
+
+                      tot_particle_count = tot_particle_count + 1
+                      nr_part_col        = nr_part_col + 1
+                      pindex             = pindex + 1
+                      IF ( pindex > max_nr_particle_in_rma_win ) THEN
+                         WRITE(9,*) 'RMA window too small on parent ',pindex, max_nr_particle_in_rma_win
+                         message_string = 'RMA window too small on parent'
+                         CALL message( 'pmci_create_child_arrays', 'PA0481', 3, 2, 0, 6, 0 )   ! PA number has to be adjusted
+                     ENDIF
+                   END IF
+                ENDDO
+             ENDDO
+             nr_part(j,i) = nr_part_col
+          ENDDO
+       ENDDO
+
+       CALL pmc_s_fillbuffer( child_id, particle_transfer = .TRUE. )
+    ENDDO
+
+    lfirst = .FALSE.
+
+#endif
+ END SUBROUTINE pmcp_p_fill_particle_win
+
+ 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> parent routine:
+!> delete particles from the MPI window
+!------------------------------------------------------------------------------!
+ SUBROUTINE pmcp_p_empty_particle_win
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  child_id           !< model id of the child
+    INTEGER(iwp) ::  ip                 !< loop index (child PEs)
+    INTEGER(iwp) ::  m                  !< loop index (number of childs)
+
+    INTEGER(iwp),DIMENSION(1) ::  buf_shape !<
+
+#if defined( __parallel )
+    DO  m = 1, get_number_of_childs()
+
+       child_id = get_childid(m)
+
+       buf_shape(1) = max_nr_particle_in_rma_win
+       CALL C_F_POINTER( buf_ptr(m), particle_in_win , buf_shape )
+
+!
+!--    In some cells of the coarse grid, there are contributions from more than
+!--    one child process. Therefore p_copy_particle_to_org_grid is done for one
+!--    child process per call
+       DO ip = 1, pmc_s_get_child_npes( child_id )
+
+          nr_part  = 0
+          part_adr = 0
+
+          CALL pmc_s_getdata_from_buffer( child_id, particle_transfer = .TRUE.,&
+                                          child_process_nr = ip )
+          CALL p_copy_particle_to_org_grid( m )
+       ENDDO
+
+    ENDDO
+
+#endif
+ END SUBROUTINE pmcp_p_empty_particle_win
+
+
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> parent routine:
+!> After the transfer mark all parent particles that are still inside on of the 
+!> child areas for deletion. 
+!------------------------------------------------------------------------------!
+ SUBROUTINE pmcp_p_delete_particles_in_fine_grid_area
+
+    IMPLICIT NONE
+
+    LOGICAL ::  to_delete !< particles outside of model domain are marked as to_delete
+    
+    INTEGER(iwp) ::  i !< loop index (x grid)
+    INTEGER(iwp) ::  j !< loop index (y grid)
+    INTEGER(iwp) ::  k !< loop index (z grid)
+    INTEGER(iwp) ::  m !< loop index (number of particles)
+    INTEGER(iwp) ::  n !< loop index (number of childs)
+    
+    REAL(wp) ::  dx_child   !< child grid spacing
+    REAL(wp) ::  dy_child   !< child grid spacing
+    REAL(wp) ::  dz_child   !< child grid spacing
+    REAL(wp) ::  ny_coord   !< north coordinate of child grid
+    REAL(wp) ::  ny_coord_b !< north coordinate of child grid boundary
+    REAL(wp) ::  lx_coord   !< left coordinate of child grid
+    REAL(wp) ::  lx_coord_b !< left coordinate of child grid boundary
+    REAL(wp) ::  rx_coord   !< right coordinate of child grid
+    REAL(wp) ::  rx_coord_b !< right coordinate of child grid boundary
+    REAL(wp) ::  sy_coord   !< south coordinate of child grid
+    REAL(wp) ::  sy_coord_b !< south coordinate of child grid boundary
+    REAL(wp) ::  uz_coord   !< upper coordinate of child grid
+    REAL(wp) ::  uz_coord_b !< upper coordinate of child grid boundary
+    REAL(wp) ::  x          !< particle position
+    REAL(wp) ::  y          !< particle position
+    REAL(wp) ::  z          !< particle position
     
 #if defined( __parallel )
@@ -951,5 +952,5 @@
                    ENDIF
                    coarse_particles(jc,ic)%parent_particles(n)%x = xc                   ! Adjust coordinates to child grid
-            	   coarse_particles(jc,ic)%parent_particles(n)%y = yc
+                   coarse_particles(jc,ic)%parent_particles(n)%y = yc
                    coarse_particles(jc,ic)%parent_particles(n)%origin_x = xoc           ! Adjust origins to child grid
                    coarse_particles(jc,ic)%parent_particles(n)%origin_y = yoc
@@ -1086,9 +1087,8 @@
 !> copy/sort particles from the MPI window into the respective grid boxes
 !------------------------------------------------------------------------------!
- SUBROUTINE p_copy_particle_to_org_grid( m, child_id )
+ SUBROUTINE p_copy_particle_to_org_grid( m )
 
     IMPLICIT NONE
 
-    INTEGER(iwp),INTENT(IN) ::  child_id !<
     INTEGER(iwp),INTENT(IN) ::  m        !<
 
Index: palm/trunk/SOURCE/poisfft_mod.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/poisfft_mod.f90	(revision 3241)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! unused variables removed,
+! declarations of omp_get_thread_num now as omp-directive
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -189,16 +193,9 @@
 ! Description:
 ! ------------
-!> @todo Missing subroutine description.
+!> Setup coefficients for FFT and the tridiagonal solver
 !------------------------------------------------------------------------------!
     SUBROUTINE poisfft_init
 
-       USE arrays_3d,                                                          &
-           ONLY:  ddzu_pres, ddzw
-
-       USE kinds
-
        IMPLICIT NONE
-
-       INTEGER(iwp) ::  k  !<
 
 
@@ -221,5 +218,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  fft_method, transpose_compute_overlap
+           ONLY:  transpose_compute_overlap
 
        USE cpulog,                                                             &
@@ -245,5 +242,4 @@
        INTEGER(iwp) ::  nnx_y        !<
        INTEGER(iwp) ::  nny_z        !<
-       INTEGER(iwp) ::  nnz_t        !<
        INTEGER(iwp) ::  nnz_x        !<
        INTEGER(iwp) ::  nxl_y_bound  !<
@@ -1012,5 +1008,5 @@
        INTEGER(iwp) ::  m                   !<
        INTEGER(iwp) ::  n                   !<
-       INTEGER(iwp) ::  omp_get_thread_num  !<
+!$     INTEGER(iwp) ::  omp_get_thread_num  !<
        INTEGER(iwp) ::  tn                  !<
 
@@ -1383,5 +1379,5 @@
        INTEGER(iwp) ::  m                   !<
        INTEGER(iwp) ::  n                   !<
-       INTEGER(iwp) ::  omp_get_thread_num  !<
+!$     INTEGER(iwp) ::  omp_get_thread_num  !<
        INTEGER(iwp) ::  tn                  !<
 
Index: palm/trunk/SOURCE/poismg_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/poismg_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Rename variables in mesoscale-offline nesting mode
 ! 
@@ -305,5 +308,5 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  f1_mg, f2_mg, f3_mg, rho_air_mg
+           ONLY:  rho_air_mg
 
        USE control_parameters,                                                 &
@@ -725,5 +728,5 @@
 
        USE arrays_3d,                                                          &
-           ONLY:  f1_mg, f2_mg, f3_mg, rho_air_mg
+           ONLY:  rho_air_mg
 
        USE control_parameters,                                                 &
@@ -1033,7 +1036,4 @@
 
 
-       USE control_parameters,                                                 &
-           ONLY:  grid_level
-
        USE indices,                                                            &
            ONLY:  nxl_mg, nxr_mg, nys_mg, nyn_mg, nzb, nzt_mg
@@ -1148,7 +1148,4 @@
     SUBROUTINE sort_k_to_even_odd_blocks_int( i_mg , glevel )
 
-
-       USE control_parameters,                                                 &
-           ONLY:  grid_level
 
        USE indices,                                                            &
@@ -1409,7 +1406,6 @@
        USE control_parameters,                                                 &
            ONLY:  bc_lr_dirrad, bc_lr_raddir, bc_ns_dirrad, bc_ns_raddir,      &
-                  child_domain, gamma_mg, grid_level_count, ibc_p_b, ibc_p_t,  &
-                  maximum_grid_level,  mg_switch_to_pe0_level,                 &
-                  mg_switch_to_pe0, ngsrb 
+                  child_domain, gamma_mg, grid_level_count, maximum_grid_level,&
+                  mg_switch_to_pe0_level, mg_switch_to_pe0, ngsrb
 
        USE indices,                                                            &
@@ -1771,5 +1767,5 @@
 
        USE indices,                                                            &
-           ONLY:  nxl_mg, nxr_mg, nys_mg, nyn_mg, nzb, nzt_mg
+           ONLY:  nzb, nzt_mg
 
        IMPLICIT NONE
@@ -1822,14 +1818,12 @@
 !> "red" or "black" data points.
 !------------------------------------------------------------------------------!
-     SUBROUTINE special_exchange_horiz ( p_mg, color )
+     SUBROUTINE special_exchange_horiz( p_mg, color )
 
 
        USE control_parameters,                                                 &
-           ONLY:  bc_lr_cyc, bc_ns_cyc, grid_level, ibc_p_b, ibc_p_t,          &
-                  maximum_grid_level,                                          &
-                  mg_switch_to_pe0_level, synchronous_exchange
+           ONLY:  grid_level, mg_switch_to_pe0_level, synchronous_exchange
 
        USE indices,                                                            &
-           ONLY:  mg_loc_ind, nxl, nxl_mg, nxr, nxr_mg, nys, nys_mg, nyn,      &
+           ONLY:  nxl, nxl_mg, nxr, nxr_mg, nys, nys_mg, nyn,      &
                   nyn_mg, nzb, nzt, nzt_mg
 
Index: palm/trunk/SOURCE/poismg_noopt_mod.f90
===================================================================
--- palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 3240)
+++ palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Rename variables in mesoscale-offline nesting mode
 ! 
@@ -1422,6 +1425,5 @@
        USE control_parameters,                                                 &
            ONLY:  bc_lr_dirrad, bc_lr_raddir, bc_ns_dirrad, bc_ns_raddir,      &
-                  gamma_mg, grid_level_count, ibc_p_b, ibc_p_t,                &
-                  maximum_grid_level,                                          &
+                  gamma_mg, grid_level_count, maximum_grid_level,              &
                   mg_switch_to_pe0_level, mg_switch_to_pe0, ngsrb
 
Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 3240)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused format statement removed
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -125,8 +128,4 @@
                              TRIM( region( sr ) ), TRIM( period_chr ), 'uv'
           WRITE ( 16, 105 )  TRIM( simulated_time_chr )
-!          ELSE
-!             WRITE ( 16, 106 )  TRIM( simulated_time_chr ),           &
-!                                averaging_interval_pr, average_count_pr
-!          ENDIF
           WRITE ( 16, 111 )
 
@@ -155,8 +154,4 @@
                              TRIM( region( sr ) ), TRIM( period_chr ), 'w'
           WRITE ( 16, 105 )  TRIM( simulated_time_chr )
-!          ELSE
-!             WRITE ( 16, 106 )  TRIM( simulated_time_chr ),           &
-!                                averaging_interval_pr, average_count_pr
-!          ENDIF
           WRITE ( 16, 111 )
 
@@ -184,6 +179,4 @@
             ' Horizontally',A,' averaged profiles on the ',A,'-level')
 105 FORMAT (' Time: ',A)
-106 FORMAT (' Time: ',A,18X,'averaged over',F7.1,' s (',I4, &
-            ' Single times)')
 111 FORMAT (1X,131('-'))
 112 FORMAT (/)
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 3240)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! omp_get_thread_num now declared in omp directive
+! 
+! 3183 2018-07-27 14:25:55Z suehring
 ! Remove unused variables from USE statements
 ! 
@@ -446,5 +449,5 @@
     INTEGER(iwp) ::  j                   !<
     INTEGER(iwp) ::  k                   !<
-    INTEGER(iwp) ::  omp_get_thread_num  !<
+!$  INTEGER(iwp) ::  omp_get_thread_num  !<
     INTEGER(iwp) ::  tn = 0              !<
 
